package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.setfeg.vo.SetfegVo;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.vo.DnfmodVo;
import com.brilliance.isc.vo.model.Cfagit;
import com.brilliance.isc.vo.model.Gidgrp;
import com.brilliance.isc.vo.model.Gitp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GitengStoreVo extends BaseTransactionVo {
        private Gidgrp gidgrp;
        private DnfmodVo dnfmodVo;
        @Override
        public void reset() {
            super.reset();
            if (gidgrp == null) {
                gidgrp = new Gidgrp();
            }
            if(dnfmodVo == null){
                dnfmodVo = new DnfmodVo();
            }
        }
}
